Package twisted :: Package persisted :: Package journal :: Module rowjournal :: Class RowJournal |
[frames | no frames]

## Class RowJournal

    Journal --+
              |
             RowJournal

Journal that stores data 'snapshot' in using twisted.enterprise.row.

Use this as the reflector instead of the original reflector.

It may block on creation, if it has to run recovery.

Method Summary
| `__init__(self, log, journaledService, reflector)`
| ``_sync`(self, txn, index, commands)` Do the actual database synchronization.
| `_syncDone(self, result)`
| ``deleteRow`(self, obj)` Mark on object for deleting when sync()ing.
| ``getLastSnapshot`(self)` Return command index of last snapshot.
| ``insertRow`(self, obj)` Mark on object for inserting when sync()ing.
| ``loadObjectsFrom`(self, tableName, parentRow, data, whereClause, forceChildren)` Flush all objects to the database and then load objects.
| ``sync`(self)` Commit changes to database.
| ``updateRow`(self, obj)` Mark on object for updating when sync()ing.
Inherited from Journal
| ``_reallyExecute`(self, index, command, runTime)` Callback called when logging command is done.
| ``executeCommand`(self, command)` Log and execute a command.
| ``updateFromLog`(self)` Run all commands from log that haven't been run yet.

Method Details

### _sync(self, txn, index, commands) Do the actual database synchronization.

### deleteRow(self, obj) Mark on object for deleting when sync()ing.

### getLastSnapshot(self) Return command index of last snapshot. Overrides: `twisted.persisted.journal.base.Journal.getLastSnapshot`

### insertRow(self, obj) Mark on object for inserting when sync()ing.

### loadObjectsFrom(self, tableName, parentRow=None, data=None, whereClause=None, forceChildren=0) Flush all objects to the database and then load objects.

### sync(self) Commit changes to database. Overrides: `twisted.persisted.journal.base.Journal.sync`

### updateRow(self, obj) Mark on object for updating when sync()ing.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net